Retrieve an Optionlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/optionlists/{optionlist_id}

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the optionlist

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • created_by string Required
    • created_date string Required
    • global_id string Required
    • id number Required
    • modified_by string Required
    • modified_date string Required
    • name string Required
    • option_icons string Required
    • reference_id string Required
    • version number Required
GET /profiles/{profile_id}/optionlists/{optionlist_id}
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/optionlists/{optionlist_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "created_by": "cng",
  "created_date": "2015-05-12 22:04:03 +0000",
  "global_id": "0OL393655H6488B",
  "id": 393655,
  "modified_by": "cng",
  "modified_date": "2015-05-12 22:08:45 +0000",
  "name": "System Grade",
  "option_icons": "dropbox://iForm",
  "reference_id": "",
  "version": 3
}